Mailinglist Archive: opensuse-commit (817 mails)

< Previous Next >
commit mkinitrd for openSUSE:Factory
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Mon, 08 Dec 2008 17:44:55 +0100
  • Message-id: <20081208164455.A5E0067803F@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package mkinitrd for openSUSE:Factory
checked in at Mon Dec 8 17:44:55 CET 2008.


--------
--- mkinitrd/mkinitrd.changes 2008-12-08 16:26:06.000000000 +0100
+++ /mounts/work_src_done/STABLE/mkinitrd/mkinitrd.changes 2008-12-08
17:36:26.000000000 +0100
@@ -1,0 +2,7 @@
+Mon Dec 08 17:24:58 CET 2008 - bwalle@xxxxxxx
+
+- Check for specific module if they are compiled in and don't
+ print warning messages if the modules are missing in that case.
+ That affects USB on PPC64. (bnc #449123)
+
+-------------------------------------------------------------------

calling whatdependson for head-i586


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ mkinitrd.spec ++++++
--- /var/tmp/diff_new_pack.a25005/_old 2008-12-08 17:44:22.000000000 +0100
+++ /var/tmp/diff_new_pack.a25005/_new 2008-12-08 17:44:22.000000000 +0100
@@ -25,7 +25,7 @@
Requires: coreutils modutils util-linux grep gzip sed cpio udev sysvinit
file perl-Bootloader
AutoReqProv: on
Version: 2.4
-Release: 39
+Release: 40
Conflicts: udev < 118
Requires: dhcpcd
Summary: Creates an Initial RAM Disk Image for Preloading Modules
@@ -122,6 +122,10 @@

%changelog
* Mon Dec 08 2008 bwalle@xxxxxxx
+- Check for specific module if they are compiled in and don't
+ print warning messages if the modules are missing in that case.
+ That affects USB on PPC64. (bnc #449123)
+* Mon Dec 08 2008 bwalle@xxxxxxx
- Implement program dependencies for modules (bnc #449123).
* Sat Dec 06 2008 bwalle@xxxxxxx
- Include virtio_pci module if necessary (bnc #456439).

++++++ mkinitrd.tar.bz2 ++++++
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/mkinitrd-2.4/mkinitrd.changes
new/mkinitrd-2.4/mkinitrd.changes
--- old/mkinitrd-2.4/mkinitrd.changes 2008-12-08 16:23:53.000000000 +0100
+++ new/mkinitrd-2.4/mkinitrd.changes 2008-12-08 17:27:37.000000000 +0100
@@ -1,4 +1,11 @@
-------------------------------------------------------------------
+Mon Dec 08 17:24:58 CET 2008 - bwalle@xxxxxxx
+
+- Check for specific module if they are compiled in and don't
+ print warning messages if the modules are missing in that case.
+ That affects USB on PPC64. (bnc #449123)
+
+-------------------------------------------------------------------
Mon Dec 08 16:14:39 CET 2008 - bwalle@xxxxxxx

- Implement program dependencies for modules (bnc #449123).
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/mkinitrd-2.4/scripts/setup-modules.sh
new/mkinitrd-2.4/scripts/setup-modules.sh
--- old/mkinitrd-2.4/scripts/setup-modules.sh 2008-12-08 16:23:53.000000000
+0100
+++ new/mkinitrd-2.4/scripts/setup-modules.sh 2008-12-08 17:27:37.000000000
+0100
@@ -40,6 +40,49 @@
}

# Brief
+# For some special modules, checks if the feature is compiled-in.
+#
+# Description
+# For some specific modules (we need to restrict that because there's no
+# known mapping between module name and configuration option) check if
+# the module has been compiled into the kernel.
+#
+# Parameters:
+# module: the kernel module
+#
+# Return value:
+# Returns 0 (true) if the feature has been compiled in and 1 (false)
+# otherwise.
+check_builtin_module() {
+ local config_file=${initrd_image/initrd/config}
+ local config_option
+
+ # if the config file does not exist => not compiled in
+ if ! [ -f "$config_file" ] ; then
+ return 1
+ fi
+
+ case "$(basename $module .ko)" in
+ usbcore)
+ config_option=CONFIG_USB ;;
+ ohci_hcd)
+ config_option=CONFIG_USB_OHCI_HCD ;;
+ ehci_hcd)
+ config_option=CONFIG_USB_EHCI_HCD ;;
+ usbhid)
+ config_option=CONFIG_USB_HID ;;
+ esac
+
+ if [ -n "$config_option" ] ; then
+ grep -q ^${config_option}=y "$config_file"
+ return $?
+ fi
+
+ return 1
+}
+
+
+# Brief
# Checks if the kernel version is supported at all.
#
# Description
@@ -244,6 +287,12 @@
module=${module%.o} # strip trailing ".o" just in case.
module=${module%.ko} # strip trailing ".ko" just in case.

+ # skip if the feature is compiled into the kernel
+ if check_builtin_module "$module" ; then
+ verbose "[MODULES]\tModule '$module' is compiled in"
+ continue
+ fi
+
# don't use a modprobe.conf to get rid of the install lines
module_list=$(/sbin/modprobe \
-C /dev/null \


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >